from rest_framework import serializers

from template.models import ImageTemplate


class InstanceFromTemplateSerializer(serializers.Serializer):
    name = serializers.CharField()
    description = serializers.CharField()


class ImageTemplateModelSerializer(serializers.ModelSerializer):
    class Meta:
        model = ImageTemplate
        fields = "__all__"
        read_only_fields = (
            "created_at",
            "created_by",
            "type",
            "id",
        )
